/*
  WindowListenerChat.java
 
  Copyright (C) 2005 by Russ Kinter

 *  SET Matrix 1 is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  SET Matrix 1 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package matrix.chat;
import java.applet.*;
import java.awt.*;
import java.awt.event.WindowListener;
import java.awt.event.WindowEvent; 
/**
 *  New 11-12-05 WindowListener1_1 impliments a windowlistener to help
 *  refocus the applet for sun jvm and try to disconnect if window is closed.
 */

public class WindowListenerChat implements WindowListener {
  Window window;
  Frame frame;
  Chat deck;
public WindowListenerChat( Chat DECK ){
  frame = new Frame();
  window = new Window(frame);
  deck = DECK;
  window.addWindowListener(this);
  }

 public void removeWindowListener(){
  window.removeWindowListener(this);
  }

public  void windowDeactivated( WindowEvent e ) {
 }
public  void windowActivated( WindowEvent e ) {
        deck.getFocus();
 }
public  void windowDeiconified( WindowEvent e ) {
        deck.getFocus();
 }
public  void windowIconified( WindowEvent e ) {
 }
public  void windowOpened( WindowEvent e ) {
          deck.getFocus();
 }       
public  void windowClosed( WindowEvent e ) {
 }
public  void windowClosing( WindowEvent e ) {
   deck.handleDisconnect2();
 }

}
