/*
  AppWindow.java

  Copyright (c) 1998 Geometrek
 
 *  This file is part of DeepMatrixIP9.
 *
 *  DeepMatrixIP9 is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  DeepMatrix IP9 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package matrix.deck;
import java.util.*;
import java.awt.*;
import java.applet.*;

/**
 * special Window to hold images of avatars
 * 
 */
public class SmallApplet extends Applet {

private AppFrame2 aF2;
private Image [] img;
private String sT;
private int iX;
private int iY;
private int iCt = -1;
private int iXSize;
private int iYSize;


  public SmallApplet( String title, Image [] IMG, int iX, int iY, int iXSize, int iYSize ){ 
  sT = title;
  img = IMG;
  this.iX = iX;
  this.iY = iY;
  this.iXSize = iXSize;
  this.iYSize = iYSize; 
  init();
 // Vhide();
   }

   public void init(){
   aF2 = new AppFrame2( this, sT, img, iX, iY, iXSize, iYSize );
   //validate();
   }

   public void handleNewImage( int iIMG ){
   aF2.setNewImage( iIMG );
   }

   public void goodbye(){
   aF2.goodbye();
   }

   private void Vhide(){
   while(aF2.isVisible()){aF2.hide();}
   }

   public void hide(){
   aF2.hide();
   }

   public void show(){
   aF2.show();
   }
 
  }
