/*
  RoomLoader.java

  Copyright (C) 2005 by Russ Kinter

 *  SET Matrix 1 is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  SET Matrix 1 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * 
*/

package matrix.deck.eai;

import java.util.*;

/**
 * New 11-12-05 RoomLoader is thread specified for creating a four second pause moving between rooms/worlds so memory can clear.
 */

public class RTCLoader implements Runnable {
private Beta deck;
private Thread runner;
 public RTCLoader ( Beta deck ){
this.deck = deck;

}
  public void start(){ 
  runner = new Thread( this, "RTC_Loader" );
   if(runner!=null){ runner.start();
     }
    }
    
    public void stop(){ 
    runner = null;   
    }

 public void run(){
    deck.holdRTCL();
while( Thread.currentThread() == runner  ){
    deck.loadRTC();
   }
  }
 }