/*
  Deadend.java

 Copyright (C) 2009 by R. Russell Kinter
 
 *  This file is part of DeepMatrixIP9.
 *
 *  DeepMatrixIP9 is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  DeepMatrix IP9 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package matrix.deck.eai2;


import vrml.eai.*; 
import vrml.eai.field.*;

/**
 * New 11-12-05 Deadend class is used to delete twice-called VRML objects. Primarily needed to fix Cortona mistakes.
 */

public class Deadend { 
    public Deadend( SO2 object ) throws RuntimeException {
  Node doa = object.getTransform();
  EventInMFNode removeChildren = null;
  EventOutMFNode childrenChanged = null;
  try {
  removeChildren = (EventInMFNode)doa.getEventIn("removeChildren");
   } 
  catch(NullPointerException e){ }
  catch(InvalidEventInException f){ }
  try {
  childrenChanged = (EventOutMFNode)doa.getEventOut("children_changed");
  }
  catch(NullPointerException e){ } 
  catch(InvalidEventInException f){ }
  try{
  removeChildren.setValue( childrenChanged.getValue());
   }
  catch(NullPointerException e){ } 
  catch(Exception f){ }
   }
}

